---
sidebar_position: 0
slug: /
keywords: ["khoj", "khoj ai", "khoj docs", "khoj documentation", "khoj features", "khoj overview", "khoj quickstart", "khoj chat", "khoj search", "khoj cloud", "khoj self-host", "khoj setup", "open source ai", "local llm", "ai copilot", "second brain ai", "ai search engine"]
---

# Overview

<p align="center"><img src="/img/khoj-logo-sideways-500.png" width="200" alt="Khoj Logo"></img></p>

<div align="center">
  <b>An AI copilot for your Second Brain</b>
</div>

<br />
<div align="center">

  [📜 Explore Code](https://github.com/khoj-ai/khoj)
  <span>&nbsp;&nbsp;•&nbsp;&nbsp;</span>
  [🌍 Try Khoj Cloud](https://khoj.dev)
  <span>&nbsp;&nbsp;•&nbsp;&nbsp;</span>
  [💬 Get Involved](https://discord.gg/BDgyabRM6e)

</div>

## Introduction
Welcome to the Khoj Docs! This is the best place to get setup and explore Khoj's features.

- Khoj is an open source, personal AI
- You can [chat](/features/chat) with it about anything. It'll use files you shared with it to respond, when relevant
- Quickly [find](/features/search) relevant notes and documents using natural language
- It understands pdf, plaintext, markdown, org-mode files, [notion pages](/data-sources/notion_integration) and [github repositories](/data-sources/github_integration)
- Access it from your [Emacs](/clients/emacs), [Obsidian](/clients/obsidian), [Web browser](/clients/web) or the [Khoj Desktop app](/clients/desktop)
- Use [cloud](https://app.khoj.dev/login) to access your Khoj anytime from anywhere, [self-host](/get-started/setup) on consumer hardware for privacy

## Quickstart
- [Try Khoj Cloud](https://app.khoj.dev) to get started quickly
- [Read these instructions](/get-started/setup) to self-host a private instance of Khoj

## At a Glance
![demo_chat](https://assets.khoj.dev/using_khoj_for_studying.gif)

#### [Search](/features/search)
  - **Natural**: Use natural language queries to quickly find relevant notes and documents.
  - **Incremental**: Incremental search for a fast, search-as-you-type experience

#### [Chat](/features/chat)
  - **Faster answers**: Find answers faster, smoother than search. No need to manually scan through your notes to find answers.
  - **Iterative discovery**: Iteratively explore and (re-)discover your notes
  - **Assisted creativity**: Smoothly weave across answers retrieval and content generation
  - **Online or Offline**: Choose online or offline chat depending on your requirements
